Subject: Re: RFD: git-bzr: anyone interested?

From: Ilari Liusvaara <[email-masked]>
Date: Mon, 22 Feb 2010 12:51:34 +0200

On Sun, Feb 21, 2010 at 11:42:54PM -0500, Gabriel Filion wrote:
> On 2010-02-19 08:55, Ilari Liusvaara wrote:
 
> However, when I tried creating a git-remote-bzr+ssh link pointing to the
> git-remote-bzr script so that URLs like bzr+ssh://something/somewhere
> (this is how ssh is used with Bazaar) got handed down to the dummy
> script, it kept saying the "bzr+ssh" protocol wasn't handled. So, it
> would seem I can't have special characters in the helper script name.

Yeah, it seems like remote helper names can't have non-alphanum characters
(oops).

> How could I get this protocol to be handled by the remote helper? Having
> to type bzr::bzr+ssh://something/somewhere looks like a really awkward
> thing to write. Also, requiring users to add something to a protocol
> that already identifies the type of remote repository (and, that is
> already well known and used by users of bzr) is not interesting in a
> usability point of view.

bzr::ssh://something/somewhere ?

That goes to git-remote-bzr (as 'ssh://something/somewhere').

-Ilari